FileSystemService provides helper utilities to read and crawl the local filesystem

### Hierarchy

- FileSystemService

## Index

### Constructors

- constructor

### Properties

- messageService

### Methods

- isDirectory
- logFileReadingError
- recurseDirectory

## Constructors

### constructor

- new FileSystemService(messageService: NotificationService): FileSystemService

- - Defined in core/util/filesystem.service.ts:10

  #### Parameters

  - ##### messageService: NotificationService

  #### Returns FileSystemService

## Properties

### Private messageService

messageService: NotificationService

- Defined in core/util/filesystem.service.ts:14

## Methods

### isDirectory

- isDirectory(localPath: string): boolean

- - Defined in core/util/filesystem.service.ts:44

  Tests if a local file path is a directory or not

  #### Parameters

  - ##### localPath: string

    local file or directory path

  #### Returns boolean

### Private logFileReadingError

- logFileReadingError(err: any): void

- - Defined in core/util/filesystem.service.ts:57

  #### Parameters

  - ##### err: any

  #### Returns void

### recurseDirectory

- recurseDirectory(directory: string, files: String[]): String[]

- - Defined in core/util/filesystem.service.ts:24

  Utility method to help crawl a local directoy returning all folders and files underneath it

  #### Parameters

  - ##### directory: string

    Local Filesystem Directory to crawl

  - ##### files: String[]

    Can be NULL. Is a list of Strings to local File paths that will be returned.

  #### Returns String[]

  List of File and Folder Paths under the passed in path added to the passed in files[]

Generated using TypeDoc